#!/bin/bash
t=`date +%Y.%h.%d-%H.%d.%S`
(
sleep 2;
echo -e "\r";
sleep 1;
echo -e "read (0-15,0-15) \r";
sleep 5;
echo -e "set voltage limit 1800 \r";
echo -e "\r";
echo -e "write (0-15,0-15) -900\r"; sleep 10;

echo -e "write (0,0) -1489\r"; sleep 2;
echo -e "write (0,1) -1578\r"; sleep 2;
echo -e "write (0,2) -1427\r"; sleep 2;
echo -e "write (0,3) -1415\r"; sleep 2;
echo -e "write (0,4) -1584\r"; sleep 2;
echo -e "write (0,5) -1599\r"; sleep 2;
echo -e "write (0,6) -1325\r"; sleep 2;
echo -e "write (0,9) -1380\r"; sleep 2;
echo -e "write (0,10) -1232\r"; sleep 2;
echo -e "write (0,11) -1314\r"; sleep 2;
echo -e "write (0,12) -1338\r"; sleep 2;
echo -e "write (0,13) -1600\r"; sleep 2;
echo -e "write (0,14) -1506\r"; sleep 2;
echo -e "write (1,0) -1483\r"; sleep 2;
echo -e "write (1,1) -1240\r"; sleep 2;
echo -e "write (1,2) -1349\r"; sleep 2;
echo -e "write (1,3) -1453\r"; sleep 2;
echo -e "write (1,4) -1309\r"; sleep 2;
echo -e "write (1,5) -1399\r"; sleep 2;
echo -e "write (1,6) -1245\r"; sleep 2;
echo -e "write (1,9) -1533\r"; sleep 2;
echo -e "write (1,10) -1384\r"; sleep 2;
echo -e "write (1,11) -1648\r"; sleep 2;
echo -e "write (1,12) -1618\r"; sleep 2;
echo -e "write (1,13) -1442\r"; sleep 2;
echo -e "write (1,14) -1671\r"; sleep 2;
echo -e "write (2,0) -1560\r"; sleep 2;
echo -e "write (2,1) -1599\r"; sleep 2;
echo -e "write (2,2) -1600\r"; sleep 2;
echo -e "write (2,3) -1670\r"; sleep 2;
echo -e "write (2,4) -1282\r"; sleep 2;
echo -e "write (2,5) -1600\r"; sleep 2;
echo -e "write (2,6) -1501\r"; sleep 2;
echo -e "write (2,9) -1233\r"; sleep 2;
echo -e "write (2,10) -1469\r"; sleep 2;
echo -e "write (2,11) -1247\r"; sleep 2;
echo -e "write (2,12) -1491\r"; sleep 2;
echo -e "write (2,13) -1677\r"; sleep 2;
echo -e "write (2,14) -1355\r"; sleep 2;
echo -e "write (3,0) -1390\r"; sleep 2;
echo -e "write (3,1) -1600\r"; sleep 2;
echo -e "write (3,2) -1408\r"; sleep 2;
echo -e "write (3,3) -1570\r"; sleep 2;
echo -e "write (3,4) -1464\r"; sleep 2;
echo -e "write (3,5) -1350\r"; sleep 2;
echo -e "write (3,6) -1557\r"; sleep 2;
echo -e "write (3,9) -1511\r"; sleep 2;
echo -e "write (3,10) -1471\r"; sleep 2;
echo -e "write (3,11) -1486\r"; sleep 2;
echo -e "write (3,12) -1563\r"; sleep 2;
echo -e "write (3,13) -1508\r"; sleep 2;
echo -e "write (3,14) -1495\r"; sleep 2;
echo -e "write (4,0) -1466\r"; sleep 2;
echo -e "write (4,1) -1534\r"; sleep 2;
echo -e "write (4,2) -1689\r"; sleep 2;
echo -e "write (4,3) -1600\r"; sleep 2;
echo -e "write (4,4) -1401\r"; sleep 2;
echo -e "write (4,5) -1407\r"; sleep 2;
echo -e "write (4,6) -1414\r"; sleep 2;
echo -e "write (4,9) -1449\r"; sleep 2;
echo -e "write (4,10) -1501\r"; sleep 2;
echo -e "write (4,11) -1536\r"; sleep 2;
echo -e "write (4,12) -1644\r"; sleep 2;
echo -e "write (4,13) -1526\r"; sleep 2;
echo -e "write (4,14) -1573\r"; sleep 2;
echo -e "write (5,0) -1507\r"; sleep 2;
echo -e "write (5,1) -1600\r"; sleep 2;
echo -e "write (5,2) -1593\r"; sleep 2;
echo -e "write (5,3) -1401\r"; sleep 2;
echo -e "write (5,4) -1535\r"; sleep 2;
echo -e "write (5,5) -1692\r"; sleep 2;
echo -e "write (5,6) -1304\r"; sleep 2;
echo -e "write (5,9) -1606\r"; sleep 2;
echo -e "write (5,10) -1600\r"; sleep 2;
echo -e "write (5,11) -1634\r"; sleep 2;
echo -e "write (5,12) -1235\r"; sleep 2;
echo -e "write (5,13) -1600\r"; sleep 2;
echo -e "write (5,14) -1575\r"; sleep 2;
echo -e "write (6,0) -1600\r"; sleep 2;
echo -e "write (6,1) -1342\r"; sleep 2;
echo -e "write (6,2) -1157\r"; sleep 2;
echo -e "write (6,3) -1600\r"; sleep 2;
echo -e "write (6,4) -1240\r"; sleep 2;
echo -e "write (6,5) -1303\r"; sleep 2;
echo -e "write (6,6) -1202\r"; sleep 2;
echo -e "write (6,9) -1478\r"; sleep 2;
echo -e "write (6,10) -1313\r"; sleep 2;
echo -e "write (6,11) -1370\r"; sleep 2;
echo -e "write (6,12) -1600\r"; sleep 2;
echo -e "write (6,13) -1401\r"; sleep 2;
echo -e "write (6,14) -1333\r"; sleep 2;
echo -e "write (8,0) -1431\r"; sleep 2;
echo -e "write (8,1) -1371\r"; sleep 2;
echo -e "write (8,2) -1257\r"; sleep 2;
echo -e "write (8,3) -1217\r"; sleep 2;
echo -e "write (8,4) -1364\r"; sleep 2;
echo -e "write (8,5) -1600\r"; sleep 2;
echo -e "write (8,6) -1478\r"; sleep 2;
echo -e "write (8,9) -1235\r"; sleep 2;
echo -e "write (8,10) -1519\r"; sleep 2;
echo -e "write (8,11) -1378\r"; sleep 2;
echo -e "write (8,12) -1355\r"; sleep 2;
echo -e "write (8,13) -1666\r"; sleep 2;
echo -e "write (8,14) -1353\r"; sleep 2;
echo -e "write (9,0) -1622\r"; sleep 2;
echo -e "write (9,1) -1619\r"; sleep 2;
echo -e "write (9,2) -1583\r"; sleep 2;
echo -e "write (9,3) -1415\r"; sleep 2;
echo -e "write (9,4) -1470\r"; sleep 2;
echo -e "write (9,5) -1354\r"; sleep 2;
echo -e "write (9,6) -1446\r"; sleep 2;
echo -e "write (9,9) -1521\r"; sleep 2;
echo -e "write (9,10) -1493\r"; sleep 2;
echo -e "write (9,11) -1519\r"; sleep 2;
echo -e "write (9,12) -1600\r"; sleep 2;
echo -e "write (9,13) -1476\r"; sleep 2;
echo -e "write (9,14) -1377\r"; sleep 2;
echo -e "write (10,0) -1682\r"; sleep 2;
echo -e "write (10,1) -1377\r"; sleep 2;
echo -e "write (10,2) -1487\r"; sleep 2;
echo -e "write (10,3) -1642\r"; sleep 2;
echo -e "write (10,4) -1534\r"; sleep 2;
echo -e "write (10,5) -1284\r"; sleep 2;
echo -e "write (10,6) -1327\r"; sleep 2;
echo -e "write (10,9) -1436\r"; sleep 2;
echo -e "write (10,10) -1483\r"; sleep 2;
echo -e "write (10,11) -1412\r"; sleep 2;
echo -e "write (10,12) -1468\r"; sleep 2;
echo -e "write (10,13) -1419\r"; sleep 2;
echo -e "write (10,14) -1440\r"; sleep 2;
echo -e "write (11,0) -1571\r"; sleep 2;
echo -e "write (11,1) -1600\r"; sleep 2;
echo -e "write (11,2) -1347\r"; sleep 2;
echo -e "write (11,3) -1646\r"; sleep 2;
echo -e "write (11,4) -1495\r"; sleep 2;
echo -e "write (11,5) -1515\r"; sleep 2;
echo -e "write (11,6) -1600\r"; sleep 2;
echo -e "write (11,9) -1600\r"; sleep 2;
echo -e "write (11,10) -1523\r"; sleep 2;
echo -e "write (11,11) -1489\r"; sleep 2;
echo -e "write (11,12) -1347\r"; sleep 2;
echo -e "write (11,13) -1254\r"; sleep 2;
echo -e "write (11,14) -1677\r"; sleep 2;
echo -e "write (12,0) -1570\r"; sleep 2;
echo -e "write (12,1) -1416\r"; sleep 2;
echo -e "write (12,2) -1407\r"; sleep 2;
echo -e "write (12,3) -1674\r"; sleep 2;
echo -e "write (12,5) -1600\r"; sleep 2;
echo -e "write (12,6) -1286\r"; sleep 2;
echo -e "write (12,7) -1368\r"; sleep 2;
echo -e "write (12,9) -1600\r"; sleep 2;
echo -e "write (12,10) -1600\r"; sleep 2;
echo -e "write (12,11) -1472\r"; sleep 2;
echo -e "write (12,12) -1364\r"; sleep 2;
echo -e "write (12,13) -1574\r"; sleep 2;
echo -e "write (12,14) -1617\r"; sleep 2;
echo -e "write (13,0) -1400\r"; sleep 2;
echo -e "write (13,1) -1470\r"; sleep 2;
echo -e "write (13,2) -1414\r"; sleep 2;
echo -e "write (13,3) -1338\r"; sleep 2;
echo -e "write (13,4) -1393\r"; sleep 2;
echo -e "write (13,5) -1287\r"; sleep 2;
echo -e "write (13,6) -1443\r"; sleep 2;
echo -e "write (13,9) -1685\r"; sleep 2;
echo -e "write (13,10) -1514\r"; sleep 2;
echo -e "write (13,11) -1359\r"; sleep 2;
echo -e "write (13,12) -1475\r"; sleep 2;
echo -e "write (13,13) -1180\r"; sleep 2;
echo -e "write (13,14) -1600\r"; sleep 2;
echo -e "write (14,0) -1600\r"; sleep 2;
echo -e "write (14,1) -1587\r"; sleep 2;
echo -e "write (14,2) -1400\r"; sleep 2;
echo -e "write (14,3) -1600\r"; sleep 2;
echo -e "write (14,4) -1600\r"; sleep 2;
echo -e "write (14,5) -1600\r"; sleep 2;
echo -e "write (14,6) -1600\r"; sleep 2;
echo -e "write (14,9) -1464\r"; sleep 2;
echo -e "write (14,10) -1600\r"; sleep 2;
echo -e "write (14,11) -1571\r"; sleep 2;
echo -e "write (14,12) -1421\r"; sleep 2;
echo -e "write (14,13) -1372\r"; sleep 2;
echo -e "write (14,14) -1600\r"; sleep 2;
echo -e "write (15,0) -1458\r"; sleep 2;
echo -e "write (15,1) -1400\r"; sleep 2;
echo -e "write (15,2) -1404\r"; sleep 2;
echo -e "write (15,3) -1558\r"; sleep 2;
echo -e "write (15,4) -1416\r"; sleep 2;
echo -e "write (15,5) -1408\r"; sleep 2;
echo -e "write (15,6) -1417\r"; sleep 2;
echo -e "write (15,7) -1523\r"; sleep 2;
echo -e "write (15,8) -1442\r"; sleep 2;
echo -e "write (15,9) -1354\r"; sleep 2;
echo -e "write (15,10) -1374\r"; sleep 2;
echo -e "write (15,11) -1410\r"; sleep 2;
echo -e "write (15,12) -1345\r"; sleep 2;
echo -e "write (15,13) -1558\r"; sleep 2;
echo -e "write (15,14) -1358\r"; sleep 2;

sleep 2;
echo -e "read (0-15,0-15)\r";
sleep 10;
echo -e "\r";
echo -e "\r";
echo -e "^]";
sleep 1;
) | telnet fms-serv.trg.bnl.local 7005 > ../log/fms_hvon_7005_$t.tex
echo Set new HV
cat ../log/fms_hvon_7005_$t.tex
